Redmine - Patch #10916

Optimisation in issues relations display
2012-05-14 18:23 - Jérome BATAILLE

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Code cleanup/refactoring Estimated time: 0.00 hour
Target version: 2.3.0

Description

In the relations loop some variables are recalculated too many times

Associated revisions

Revision 11121 - 2013-01-05 14:23 - Jean-Philippe Lang

Store the other issue in a variable (#10916).

History

#1 - 2012-06-10 23:43 - Jean-Baptiste Barth

Setting.blah is already cached in an Setting's class variable. The other optimization might be relevant, it would save some == calls and conditions..

#2 - 2012-12-04 14:08 - Jérome BATAILLE

Do you want us to bring a new patch taking in accound your remark ?

#3 - 2013-01-05 14:26 - Jean-Philippe Lang
- Category set to Code cleanup/refactoring
- Status changed from New to Closed

- Target version set to 2.3.0

Variable named other_issue added to store relation.other_issue(@issue) as proposed in the patch, thanks.

#4 - 2017-03-31 13:59 - Jérome BATAILLE

Hi, you can indicate in the Resolution that's it's Fixed, if you have the time to, thanks a lot.

#5 - 2017-04-29 23:08 - Toshi MARUYAMA
Jéréme BATAILLE wrote:

Hi, you can indicate in the Resolution that's it's Fixed, if you have the time to, thanks a lot.

"patch" tracker does not have "resolution" filed.

Files

app_views_issues_relations.rhtml_2012-05-14.diff 2.31 KB 2012-05-14 Jérdme BATAILLE

2025-05-01 1/1



http://www.tcpdf.org

